package fr.openwide.test.querydsl;


import com.mysema.query.types.*;
import com.mysema.query.types.path.*;


/**
 * QAbstractEntity is a Querydsl query type for AbstractEntity
 */
public class QAbstractEntity extends EntityPathBase<AbstractEntity<?>> {

    private static final long serialVersionUID = -252734191;

    public final QGenericEntity _super = new QGenericEntity(this);

    public final NumberPath<Integer> id = createNumber("id", Integer.class);

    public QAbstractEntity(BeanPath<? extends AbstractEntity<?>> entity) {
        super(entity.getType(), entity.getMetadata());
    }

    @SuppressWarnings("unchecked")
    public QAbstractEntity(PathMetadata<?> metadata) {
        super((Class)AbstractEntity.class, metadata);
    }

}

