package fr.openwide.test.querydsl;

import java.io.Serializable;

public abstract class GenericEntity<K extends Serializable & Comparable<K>, E extends GenericEntity<K, ?>> {

	private static final long serialVersionUID = -3988499137919577054L;
	
	public abstract K getId();

	public abstract void setId(K id);
	
}
