package fr.openwide.test.querydsl;


import com.mysema.query.types.*;
import com.mysema.query.types.path.*;


/**
 * QGenericEntity is a Querydsl query type for GenericEntity
 */
public class QGenericEntity extends EntityPathBase<GenericEntity<? extends Comparable, ?>> {

    private static final long serialVersionUID = 1434151086;

    public final ComparablePath<Comparable> id = createComparable("id", Comparable.class);

    public QGenericEntity(BeanPath<? extends GenericEntity<? extends Comparable, ?>> entity) {
        super(entity.getType(), entity.getMetadata());
    }

    @SuppressWarnings("unchecked")
    public QGenericEntity(PathMetadata<?> metadata) {
        super((Class)GenericEntity.class, metadata);
    }

}

